package com.ruoyi.bst.pay.service;

import com.ruoyi.bst.order.domain.bo.OrderCreateBO;
import com.ruoyi.bst.order.domain.bo.OrderPayRideFeeBO;
import com.ruoyi.bst.pay.domain.Pay;
import com.ruoyi.bst.vipOrder.domain.bo.VipOrderCreateBO;

public interface PayConverter {

    /**
     * 将订单支付BO转换为支付PO
     */
    Pay toPayPO(OrderCreateBO bo);

    /**
     * 将订单支付骑行费BO转换为支付PO
     */
    Pay toPayPO(OrderPayRideFeeBO bo);

    /**
     * 将卡券订单支付BO转换为支付PO
     */
    Pay toPayPO(VipOrderCreateBO bo);
    
}
